Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.mail
Class MailModuleImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.modules.AbstractModule
                      org.jboss.portal.core.impl.mail.MailModuleImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, MailModule, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class MailModuleImpl

extends AbstractModule
implements MailModule

Author:
  Julien Viet, Thomas Heute

Field Summary
`java.lang.String` | `gateway` The SMTP gateway through which mail will be delivered.

Fields inherited from class org.jboss.portal.core.modules.AbstractModule
`jndiName`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`MailModuleImpl()` Creates a new `MailModuleImpl` object.

Method Summary
`boolean` | `deliver(long serialId, java.lang.String from, java.lang.String to, java.lang.String subject, java.lang.String body)`
`int` | `flushQueue()`
`long` | `getCurrentSerialId()`
`java.lang.String` | `getGateway()`
`boolean` | `getJavaMailDebugEnabled()`
`int` | `getQueueCapacity()`
`int` | `getQueueSize()`
`int` | `getSMTPConnectionTimeout()`
`java.lang.String` | `getSmtpPassword()`
`int` | `getSMTPTimeout()`
`java.lang.String` | `getSmtpUser()`
`java.lang.String` | `listProperties()`
`void` | `send(java.lang.String from, java.lang.String to, java.lang.String subject, java.lang.String body)`
`void` | `setGateway(java.lang.String gateway)`
`void` | `setJavaMailDebugEnabled(boolean javaMailDebugEnabled)`
`void` | `setQueueCapacity(int queueCapacity)`
`void` | `setSMTPConnectionTimeout(int SMTPConnectionTimeout)`
`void` | `setSmtpPassword(java.lang.String smtpPassword)`
`void` | `setSMTPTimeout(int SMTPTimeout)`
`void` | `setSmtpUser(java.lang.String smtpUser)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.core.modules.AbstractModule
`getJNDIName, setJNDIName`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gateway

    public java.lang.String gateway

  The SMTP gateway through which mail will be delivered.

Constructor Detail

### MailModuleImpl

    public MailModuleImpl()

  Creates a new `MailModuleImpl` object.

Method Detail

### getSMTPConnectionTimeout

    public int getSMTPConnectionTimeout()

### setSMTPConnectionTimeout

    public void setSMTPConnectionTimeout(int SMTPConnectionTimeout)

  Specified by:
    `setSMTPConnectionTimeout` in interface `MailModule`

### getSMTPTimeout

    public int getSMTPTimeout()

### setSMTPTimeout

    public void setSMTPTimeout(int SMTPTimeout)

  Specified by:
    `setSMTPTimeout` in interface `MailModule`

### getCurrentSerialId

    public long getCurrentSerialId()

### getGateway

    public java.lang.String getGateway()

### setGateway

    public void setGateway(java.lang.String gateway)

  Specified by:
    `setGateway` in interface `MailModule`

### getSmtpUser

    public java.lang.String getSmtpUser()

### setSmtpUser

    public void setSmtpUser(java.lang.String smtpUser)

  Specified by:
    `setSmtpUser` in interface `MailModule`

### getSmtpPassword

    public java.lang.String getSmtpPassword()

### setSmtpPassword

    public void setSmtpPassword(java.lang.String smtpPassword)

  Specified by:
    `setSmtpPassword` in interface `MailModule`

### getQueueSize

    public int getQueueSize()

### listProperties

    public java.lang.String listProperties()

### flushQueue

    public int flushQueue()

### getQueueCapacity

    public int getQueueCapacity()

### setQueueCapacity

    public void setQueueCapacity(int queueCapacity)

### getJavaMailDebugEnabled

    public boolean getJavaMailDebugEnabled()

### setJavaMailDebugEnabled

    public void setJavaMailDebugEnabled(boolean javaMailDebugEnabled)

  Specified by:
    `setJavaMailDebugEnabled` in interface `MailModule`

### send

    public void send(java.lang.String from,
                     java.lang.String to,
                     java.lang.String subject,
                     java.lang.String body)

  Specified by:
    `send` in interface `MailModule`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `AbstractModule`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `AbstractModule`
  Throws:
    `java.lang.Exception`

### deliver

    public boolean deliver(long serialId,
                           java.lang.String from,
                           java.lang.String to,
                           java.lang.String subject,
                           java.lang.String body)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD